<template>
    <q-dialog v-model="show" persistent>
      <q-card class="card">
        <q-card-section>
          <div class="text-h6">OPMERKING</div>
        </q-card-section>

        <q-card-section>
          <q-input dense v-model="comment" autofocus @keyup.enter="$emit('addOpm',comment);$emit('hideDialog');comment = ''" />
        </q-card-section>

        <q-card-actions align="right" class="text-primary">
          <q-btn flat label="Annuleer"  @click="$emit('hideDialog')" />
          <q-btn flat label="Voeg Toe" @click="$emit('addOpm',comment);$emit('hideDialog'); comment = ''" />
        </q-card-actions>
      </q-card>
    </q-dialog>
</template>
<style scoped>
.card {
min-width: 350px
}
</style>
<script>
export default {
  name: 'CommentDialog',
  data () {
    return {
      comment: ''
    }
  },
  props: {
    show: Boolean
  }
}

</script>
